From 5b237232076406874a7a47a6bfa3ffd306d98709 Mon Sep 17 00:00:00 2001
From: Siddharth Sharma <siddharth.sharma@ericsson.com>
Date: Fri, 12 Apr 2024 18:11:58 +0200
Subject: [PATCH] Add YANG LSP support to eglot

Also added jsonc-mode association to json-language-server since
YANG LSP configuration file is of type JSON with Comments

Signed-off-by: Siddharth Sharma <siddharth.sharma@ericsson.com>
---
 lisp/progmodes/eglot.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/progmodes/eglot.el b/lisp/progmodes/eglot.el
index f247c43203c..2eaf12c56e1 100644
--- a/lisp/progmodes/eglot.el
+++ b/lisp/progmodes/eglot.el
@@ -241,7 +241,7 @@ automatically)."
          '("pylsp" "pyls" ("basedpyright-langserver" "--stdio")
            ("pyright-langserver" "--stdio")
            "jedi-language-server" "ruff-lsp")))
-    ((js-json-mode json-mode json-ts-mode)
+    ((js-json-mode json-mode json-ts-mode jsonc-mode)
      . ,(eglot-alternatives '(("vscode-json-language-server" "--stdio")
                               ("vscode-json-languageserver" "--stdio")
                               ("json-languageserver" "--stdio"))))
@@ -301,6 +301,7 @@ automatically)."
     (futhark-mode . ("futhark" "lsp"))
     ((lua-mode lua-ts-mode) . ,(eglot-alternatives
                                 '("lua-language-server" "lua-lsp")))
+    (yang-mode . ("yang-language-server"))
     (zig-mode . ("zls"))
     ((css-mode css-ts-mode)
      . ,(eglot-alternatives '(("vscode-css-language-server" "--stdio")
-- 
2.43.2

